# Other Related Datasets or Tools

## Mixture

- [WHAM! and WHAMR!](https://wham.whisper.ai/)
- [JorisCos/LibriMix](https://github.com/JorisCos/LibriMix)
- [fgnt/sms_wsj](https://github.com/fgnt/sms_wsj): Spatialized Multi-Speaker Wall Street Journal database for
  multi-channel source separation and recognition
- [fgnt/mms_msg](https://github.com/fgnt/mms_msg): Multipurpose Multi Speaker Mixture Signal Generator..
- [fgnt/lazy_dataset](https://github.com/fgnt/lazy_dataset): Process large datasets as if it was an iterable...
- [fgnt/paderbox](https://github.com/fgnt/paderbox): Paderbox: A collection of utilities for audio / speech processing..
- [tomkocse/sim-rir-preparation](https://github.com/tomkocse/sim-rir-preparation)

## Room Impulse Response

Collect publicly available room impulse response datasets.

| Year | Name                                                                                                                                      | Content                                                                                                                 | Paper                                                                                                                                                             |
| ---- | ----------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 2021 | [dEchorate](https://zenodo.org/record/5562386#.YflQNlvMLu0)                                                                               | 1800 annotated RIRs obtained from 6 arrays of 5 microphones each, 6 sound sources and 11 different acoustic conditions. | [dEchorate: a Calibrated Room Impulse Response Dataset for Echo-aware Signal Processing](https://arxiv.org/abs/2104.13168)                                        |
| 2021 | [MeshRIR](https://sh01k.github.io/MeshRIR/)                                                                                               | 4410 mono RIRs recorded in very dense grids in a moderately reverberant room with accurate coordinates.                 | [MeshRIR: A Dataset of Room Impulse Responses on Meshed Grid Points For Evaluating Sound Field Analysis and Synthesis Methods](https://arxiv.org/abs/2106.10801)  |
| 2019 | [BUT Reverb Database](https://speech.fit.vutbr.cz/software/but-speech-fit-reverb-database)                                                | 1300+ mono channel RIRs recorded in 8 rooms                                                                             | [Building and evaluation of a real room impulse response dataset](https://ieeexplore.ieee.org/document/8717722)                                                   |
| 2016 | [MIT IR Survey](https://mcdermottlab.mit.edu/Reverb/IR_Survey.html)                                                                       | 271 mono channel RIRs all recorded in distinct places                                                                   | [Statistics of natural reverberation enable perceptual separation of sound and space](https://www.pnas.org/content/113/48/E7856)                                  |
| 2015 | [ACE Challenge](http://www.ee.ic.ac.uk/naylor/ACEweb/index.html)                                                                          | {1,2,3,5,8,32} channel RIRs recorded in 7 rooms                                                                         | [The ACE challenge — Corpus description and performance evaluation](https://ieeexplore.ieee.org/document/7336912)                                                 |
| 2014 | [Multichannel Impulse Response Database](https://www.eng.biu.ac.il/gannot/downloads/)                                                     | 234 8-channel RIRs recorded in the same room with 3 levels of reverberation and different microphone array spacings     | [Multichannel audio database in various acoustic environments](https://ieeexplore.ieee.org/document/6954309)                                                      |
| 2013 | [REVERB Challenge](https://reverb2014.dereverberation.com/)                                                                               | 24 8-channel RIRs recorded in small, medium, and large rooms                                                            | [The reverb challenge: A common evaluation framework for dereverberation and recognition of reverberant speech](https://ieeexplore.ieee.org/document/6701894)     |
| 2010 | [OpenAIR](https://www.openairlib.net/)                                                                                                    | Ambisonic B format RIRs recorded in over 46 (still increasing) environments                                             | [Openair: An interactive auralization web resource and database](https://www.aes.org/e-lib/browse.cfm?elib=15648)                                                 |
| 2010 | [C4DM RIR database](http://isophonics.net/content/room-impulse-response-data-set)                                                         | 468 mono or ambisonic B format RIRs recorded in 3 large environments                                                    | [Database of Omnidirectional and B-Format Impulse Responses](https://ieeexplore.ieee.org/document/5496083)                                                        |
| 2009 | [Aachen impulse response database](http://www.iks.rwth-aachen.de/en/research/tools-downloads/databases/aachen-impulse-response-database/) | 344 binaural RIRs measured with a dummy head in 5 environments including a church                                       | [A Binaural Room Impulse Response Database for the Evaluation of Dereverberation Algorithms](https://ieeexplore.ieee.org/abstract/document/5201259)               |
| 2000 | [RWCP Sound Scene Database](http://research.nii.ac.jp/src/en/RWCP-SSD.html)                                                               | 143 multi-channel RIRs recorded in 14 rooms                                                                             | [Sound scene data collection in real acoustical environments](https://library.naist.jp/dspace/bitstream/handle/10061/7746/JourAcouSocJaE_20_3_225.pdf?sequence=1) |

- [jonashaag/RealRIRs: Python loaders for many Real Room Impulse Response databases (github.com)](https://github.com/jonashaag/RealRIRs)
- [RoyJames/room-impulse-responses: A list of publicly available room impulse response datasets and scripts to download them. (github.com)](https://github.com/RoyJames/room-impulse-responses)